-- base schema

-- notnulls are tmp till i deal with proper validation
create table doll_profiles (
    id integer not null primary key, -- 000000 format
    created_at text not null default current_timestamp,
    updated_at text,

    -- base info
    name text not null,
    pronouns text not null, -- format as `{subject}/{object}/{possessive}` eg `she/her/hers`
    handler_name text not null,
    handler_url text not null,

    -- customisation options for various entities
    description text not null,
    kind text not null,
    breed text not null,
    chassis_type text not null,
    chassis_id text not null,
    chassis_color text not null,

    -- ID'ing
    behaviour text not null,
    microchipped integer not null
) strict;
